InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::OrientationSettings Struct Reference

Orientation Settings. More...

`#include <OrientationSettings.h>`

Collaboration diagram for inertia::OrientationSettings:
[legend]

## Public Member Functions
| OrientationSettings ()
| OrientationSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
OrientationAlgorithm | algorithm
| Orientation algorithm to use.
bool | useCompass
| Use data from the compass for orientation calculation.
bool | resetInRest
| Reset the orientation when the node stops rotating.
double | initialYaw
| The initial yaw angle, irrelevant when compass is used.
MadgwickAlgorithmSettings | madgwickSettings
| Specific settings of the Madgwick Orientation Algorithm.
ValentiAlgorithmSettings | valentiSettings
| Specific settings of the Valenti Orientation Algorithm.
KalmanAlgorithmSettings | kalmanSettings
| Specific settings of the Extended Kalman Orientation Algorithm.
VQFAlgorithmSettings | vqfSettings
| Specific settings of the Versatile Quaternion-based Filter Algorithm.
BiasEstimationSettings | biasSettings
| Specific settings of the Bias Estimation Algorithm.

## Detailed Description

Orientation Settings.

Struct containing settings for orientation algorithm.

## Constructor & Destructor Documentation

## ◆ OrientationSettings() [1/2]

inertia::OrientationSettings::OrientationSettings | ( |  | ) |

Default constructor.

## ◆ OrientationSettings() [2/2]

inertia::OrientationSettings::OrientationSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates OrientationSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::OrientationSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for OrientationSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::OrientationSettings::ToString | ( |  | ) | const

Get a string representation of this OrientationSettings. The string is compatible with GetOptionDescription() and OrientationSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- OrientationSettings.h